%if 0%{?fedora} || 0%{?rhel} >= 8
%bcond_without python3
%else  # 0#{?fedora} || 0#{?rhel} >= 8
%bcond_with python3
%endif # 0#{?fedora} || 0#{?rhel} >= 8

# Setup _pkgdocdir if not defined already.
%{!?_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}-%{version}}

%global pypi_name bitstruct
%global global_desc							\
This module performs conversions between Python values and C bit	\
field structs represented as Python byte strings.  It is intended to	\
have a similar interface as the python struct module, but working on	\
bits instead of primitive data types (char, int, …).


Name:		python-%{pypi_name}
Version:	3.7.0
Release:	1%{?dist}
Summary:	Interpret strings as packed binary data

License:	MIT
URL:		https://pypi.python.org/pypi/%{pypi_name}
Source0:	https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:	noarch

%description
%{global_desc}


%package doc
Summary:	Documentation-files for %{name}

BuildRequires:	python2-sphinx

%description doc
This package contains the documentation-files
for %{name}.


%package -n python2-%{pypi_name}
Summary:	%{summary}

BuildRequires:	python2-devel
BuildRequires:	python2-setuptools

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{global_desc}


%if %{with python3}
%package -n python3-%{pypi_name}
Summary:	%{summary}

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{global_desc}
%endif # with python3


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%py2_build
%if %{with python3}
%py3_build
%endif # with python3
%make_build -C docs html
%{_bindir}/find docs/_build -name '.*' -print0 | %{_bindir}/xargs -0 %{__rm} -frv
%{_bindir}/find docs/_build -name '*.inv' -print0 | %{_bindir}/xargs -0 %{__rm} -frv


%install
%py2_install
%if %{with python3}
%py3_install
%endif # with python3
%{__mkdir} -p %{buildroot}/%{_pkgdocdir}
%{__cp} -a docs/_build/html PKG-INFO README.rst %{buildroot}/%{_pkgdocdir}


%check
%{__python2} setup.py test
%if %{with python3}
%{__python3} setup.py test
%endif


%files doc
%license LICENSE
%doc %{_pkgdocdir}

%files -n python2-%{pypi_name}
%license LICENSE
%doc %dir %{_pkgdocdir}
%doc %{_pkgdocdir}/PKG-INFO
%doc %{_pkgdocdir}/README.rst
%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info

%if %{with python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc %dir %{_pkgdocdir}
%doc %{_pkgdocdir}/PKG-INFO
%doc %{_pkgdocdir}/README.rst
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/__pycache__/%{pypi_name}.cpython-%{python3_version_nodots}*.pyc
%endif # with python3


%changelog
* Sat Jan 06 2018 Björn Esser <besser82@fedoraproject.org> - 3.7.0-1
- New upstream release (rhbz#11504327)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri May 12 2017 Björn Esser <besser82@fedoraproject.org> - 3.4.0-1
- New upstream release (rhbz#1450026)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 3.3.1-2
- Rebuild for Python 3.6

* Mon Oct 24 2016 Björn Esser <fedora@besser82.io> - 3.3.1-1
- Initial import (rhbz 1387836)

* Sat Oct 22 2016 Björn Esser <fedora@besser82.io> - 3.3.1-0.1
- Initial package (rhbz 1387836)
